import { cn } from "./cva.js";
import * as React from "react";
import { Slot } from "@radix-ui/react-slot";
import { jsx } from "react/jsx-runtime";
//#region src/Container.tsx
const Container = React.forwardRef(({ asChild, className, gap = "6", size = "4xl", style, ...props }, ref) => {
	const Comp = asChild ? Slot : "div";
	const containerStyle = {
		"--container-gap": `var(--mod-space-${gap})`,
		marginInline: "auto",
		maxInlineSize: `var(--container-${size})`,
		minWidth: 0,
		paddingInline: "var(--container-gap)",
		width: "100%",
		...style
	};
	return /* @__PURE__ */ jsx(Comp, {
		ref,
		className: cn("@container block", className),
		style: containerStyle,
		...props
	});
});
Container.displayName = "Container";
//#endregion
export { Container };
